
Redmine - Defect #15756

500 on admin info/settings page on development environment

2013-12-23 12:15 - Ilya S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.4.3   

Resolution: Fixed Affected version: 2.4.2

Description

Affected version - 2.4.2.stable

Related issues:

Related to Redmine - Defect #15849: Redmine:Fetch_Changesets Single-inheritan... Closed

Has duplicate Redmine - Defect #15824: CommandFailed not found in git_adapter Closed

Has duplicate Redmine - Defect #15981: Internal error. An error occurred on t... Closed

Has duplicate Redmine - Defect #15949: uninitialized constant Redmine::Scm::A... Closed

Associated revisions

Revision 12454 - 2013-12-24 06:00 - Toshi MARUYAMA

backport r12453 AbstractAdapter change to 2.4-stable (#15756)

Revision 12455 - 2013-12-24 06:03 - Toshi MARUYAMA

backport r12453 AbstractAdapter change to 2.3-stable (#15756)

Revision 12456 - 2013-12-24 06:06 - Toshi MARUYAMA

change requirement in bazaar lib as same with other scm libs (#15756)

Revision 12458 - 2013-12-24 08:17 - Toshi MARUYAMA

Merged r12456 from trunk to 2.4-stable (#15756)

change requirement in bazaar lib as same with other scm libs.

Revision 12459 - 2013-12-24 08:18 - Toshi MARUYAMA

Merged r12456 from trunk to 2.3-stable (#15756)

change requirement in bazaar lib as same with other scm libs.

History

#1 - 2013-12-23 14:16 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Works for me. Could you post your error stack trace and give plugins details as requested in SubmittingBugs?

#2 - 2013-12-23 14:23 - Ilya S

of course.

Redmine 2.4.2.stable, ruby 2.0.0-p247

=> Booting WEBrick

=> Rails 3.2.16 application starting in development on http://0.0.0.0:3002

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2013-12-23 17:21:43] INFO  WEBrick 1.3.1

[2013-12-23 17:21:43] INFO  ruby 2.0.0 (2013-06-27) [x86_64-darwin12.4.0]

[2013-12-23 17:21:43] INFO  WEBrick::HTTPServer#start: pid=22278 port=3002

Version: ImageMagick 6.8.6-3 2013-07-10 Q8 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2013 ImageMagick Studio LLC

Features: DPC Modules

Delegates: bzlib freetype jng jpeg png x xml zlib

Started GET "/admin/info" for 127.0.0.1 at 2013-12-23 17:21:45 +0400

Processing by AdminController#info as HTML

  Setting Load (0.3ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_lifetime' LIMIT

 1

  Setting Load (0.3ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_timeout' LIMIT 

1

   (0.2ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings`

Creating scope :sorted. Overwriting existing method User.sorted.

  User Load (0.3ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser') AND `user

s`.`status` = 1 AND `users`.`id` = 1 LIMIT 1

  Current user: admin (id=1)

  User Load (0.4ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser') AND `user

s`.`status` = 1 AND `users`.`login` = 'admin'

  Setting Load (0.4ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'ui_theme' LIMIT 1

  Rendered admin/info.html.erb within layouts/admin (98.1ms)

Completed 500 Internal Server Error in 404.4ms

ActionView::Template::Error (uninitialized constant Redmine::Scm::Adapters::AbstractAdapter::CommandFailed):

    13: </table>

    14: <br />

    15: <div class="box">

    16: <pre><%= Redmine::Info.environment %></pre>

    17: </div>

    18:

    19: <% html_title(l(:label_information_plural)) -%>

  lib/redmine/scm/adapters/abstract_adapter.rb:30:in `<class:AbstractAdapter>'

  lib/redmine/scm/adapters/abstract_adapter.rb:27:in `<module:Adapters>'

  lib/redmine/scm/adapters/abstract_adapter.rb:26:in `<module:Scm>'

  lib/redmine/scm/adapters/abstract_adapter.rb:25:in `<module:Redmine>'

  lib/redmine/scm/adapters/abstract_adapter.rb:24:in `<top (required)>'

  lib/redmine/scm/adapters/subversion_adapter.rb:18:in `<top (required)>'

  app/models/repository/subversion.rb:18:in `<top (required)>'

  lib/redmine/info.rb:21:in `block in environment'

  lib/redmine/info.rb:20:in `each'

  lib/redmine/info.rb:20:in `environment'

  app/views/admin/info.html.erb:16:in `_app_views_admin_info_html_erb___1876466854815086755_70262766172320'

#3 - 2013-12-23 14:24 - Ilya S

trace without applied fix. This is pure redmine, without any plugins (newly generated secret, added databse.yml and connected to my db)

#4 - 2013-12-24 05:27 - Toshi MARUYAMA

- Subject changed from 500 on admin info/settings page to 500 on admin info/settings page on development environment

- Status changed from Needs feedback to Confirmed

#5 - 2013-12-24 05:28 - Toshi MARUYAMA

- Target version set to 2.4.3

#6 - 2013-12-24 05:31 - Toshi MARUYAMA

- Affected version (unused) changed from devel to 2.4.2

- Affected version set to 2.4.2

#7 - 2013-12-24 11:52 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed in 2.4-stable r12458, thanks.

#8 - 2014-01-08 18:31 - Toshi MARUYAMA

- Has duplicate Defect #15824: CommandFailed not found in git_adapter added

#9 - 2014-01-24 05:15 - Toshi MARUYAMA

- Related to Defect #15949: uninitialized constant Redmine::Scm::Adapters::AbstractAdapter::CommandFailed added
#10 - 2014-01-31 08:33 - Toshi MARUYAMA

- Has duplicate Defect #15981: Internal error. An error occurred on the page you were trying to access. If you continue to experience problems please

contact your redMine administrator for assistance. added

#11 - 2014-02-02 09:35 - Toshi MARUYAMA

- Related to Defect #15849: Redmine:Fetch_Changesets Single-inheritance issue in subclass "Repository:Git" added

#12 - 2014-02-19 23:45 - Toshi MARUYAMA

- Related to deleted (Defect #15949: uninitialized constant Redmine::Scm::Adapters::AbstractAdapter::CommandFailed)

#13 - 2014-02-19 23:46 - Toshi MARUYAMA

- Has duplicate Defect #15949: uninitialized constant Redmine::Scm::Adapters::AbstractAdapter::CommandFailed added

Files

abstract_adapter.diff 984 Bytes 2013-12-23 Ilya S
